<div class="clear"></div>

<div class="postbox rpwsncontainer" id="dashboard_right_now" >
    <h3 class="hndle"><?php echo esc_html__(self::$plugin_title . ' Settings', self::$taxdomain) ?></h3>
    <div class="inside">
        <div class="main">
            <form method="post" action="" name="<?php echo self::$taxdomain; ?>">
                <input type="hidden" name="<?php echo self::$taxdomain; ?>" value="1"/>
                <table class="rp_table" >

                    <tr>
                        <td width="30%" class="boldtext"><?php echo esc_html__('Display on cart page?', self::$taxdomain) ?></td>
                        <td>
                            <input type="checkbox" name="enable_cart" <?php echo ($this->getSetting("enable_cart")) ? "checked=checked" : ""; ?> value="1" />
                        </td>
                    </tr>
                    <tr>
                        <td width="30%" class="boldtext"><?php echo esc_html__('Display on checkout page?', self::$taxdomain) ?></td>
                        <td>
                            <input type="checkbox" name="enable_checkout" <?php echo ($this->getSetting("enable_checkout")) ? "checked=checked" : ""; ?> value="1" />
                        </td>
                    </tr>
                    <tr>
                        <td width="30%" class="boldtext"><?php echo esc_html__('Shipping method description position?', self::$taxdomain) ?></td>
                        <td>
                            <select name="desc_position">
                                <option value="0" <?php echo ($this->getSetting("desc_position")==0) ? "selected=selected" : ""; ?> ><?php echo esc_html__('Before shipping title', self::$taxdomain) ?></option>
                                <option value="1" <?php echo ($this->getSetting("desc_position")==1) ? "selected=selected" : ""; ?> ><?php echo esc_html__('After shipping title', self::$taxdomain) ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td width="30%" class="boldtext"><?php echo esc_html__('Shipping method icon position?', self::$taxdomain) ?></td>
                        <td>
                            <select name="icon_position">
                                <option value="0" <?php echo ($this->getSetting("icon_position")==0) ? "selected=selected" : ""; ?> ><?php echo esc_html__('Before shipping title', self::$taxdomain) ?></option>
                                <option value="1" <?php echo ($this->getSetting("icon_position")==1) ? "selected=selected" : ""; ?> ><?php echo esc_html__('After shipping title', self::$taxdomain) ?></option>
                                <option value="2" <?php echo ($this->getSetting("icon_position")==2) ? "selected=selected" : ""; ?> ><?php echo esc_html__('Before shipping description', self::$taxdomain) ?></option>
                                <option value="3" <?php echo ($this->getSetting("icon_position")==3) ? "selected=selected" : ""; ?> ><?php echo esc_html__('After shipping description', self::$taxdomain) ?></option>
                                
                            </select>
                        </td>
                    </tr>

 <tr valign="top">
     <td><?php echo esc_html__('Icon max width and height', self::$taxdomain) ?><br><i><?php echo esc_html__('Leave blank for auto width and height', self::$taxdomain) ?></i></td>
                        <td>
			    <table>
				<tr>
				    <td style="text-align:center;"><input type="number" name="icon_width" style="width:80px;"  value="<?php echo $this->getSetting("icon_width") ?>" />&nbsp;<i><?php echo esc_html__('px', self::$taxdomain) ?></i><br><?php echo esc_html__('width', self::$taxdomain) ?></td>
				    <td style="text-align:center;"><input type="number" name="icon_height" style="width:80px;"  value="<?php echo $this->getSetting("icon_height") ?>" />&nbsp;<i><?php echo esc_html__('px', self::$taxdomain) ?></i><br><?php echo esc_html__('height', self::$taxdomain) ?></td>
				</tr>
			    </table>
                            
                            
                        </td>
                    </tr>
                    <tr class="designoption ">
                        <td class="boldtext"><?php echo esc_html__('Text color', self::$taxdomain) ?></td>
                        <td>
                            <input type="text" name="text_color" class="txtcolor" value="<?php echo $this->getSetting("text_color") ?>" />
                        </td>
                    </tr>
                    <tr valign="top">
                        <td><?php echo esc_html__('Text Size', self::$taxdomain) ?></td>
                        <td>
                            <input type="number" name="text_size" style="width:80px;"  value="<?php echo $this->getSetting("text_size") ?>" />&nbsp;<i><?php echo esc_html__('px', self::$taxdomain) ?></i>
                        </td>
                    </tr>
                    <tr valign="top">
                        <td><?php echo esc_html__('Custom Css', self::$taxdomain) ?></td>
                        <td>
                            <textarea name="custom_css"><?php echo $this->getSetting('custom_css'); ?></textarea>
                        </td>
                    </tr>
                    <tr valign="top">
                        <td colspan="2">
                       
                            <?php
                            $shippingSetting = $this->getSetting('shipping');
                            $zones = \WC_Shipping_Zones::get_zones();
                            ?>
                            <table class="tbl_zone_setting">
                                <?php
                                if (!empty($zones)) :

                                    foreach ($zones as $zone_id => $zone_data) :

                                        $zone = \WC_Shipping_Zones::get_zone($zone_id);
                                        $zone_methods = $zone->get_shipping_methods();
                                        if (!empty($zone_methods)) :
                                            ?>
                                            <thead>
                                                <tr class="zone_row">
                                                    <th colspan="4">
                                                        <?php echo $zone->get_zone_name(); ?>
                                                        <?php esc_html_e('Methods', self::$taxdomain); ?>
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <th class="name" style="padding-left: 2% !important"><?php esc_html_e('Name', self::$taxdomain); ?></th>
                                                    <th class="type"><?php esc_html_e('Type', self::$taxdomain); ?></th>
                                                    <th><?php esc_html_e('Icon', self::$taxdomain); ?></th>
                                                    <th><?php esc_html_e('Description', self::$taxdomain); ?></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                foreach ($zone->get_shipping_methods() as $instance_id => $method) :

                                                    $shippingId = $method->id . ":" . $instance_id;
                                                    ?>
                                                    <tr>
                                                        <td style="padding-left: 2%" class="name">
                                                            <?php echo esc_html($method->get_title()); ?>
                                                        </td>
                                                        <td class="type">
                                                            <?php echo esc_html($method->get_method_title()); ?>
                                                        </td>
                                                        <td class="day-from">

                                                            <input type="hidden" class="icon_shipping" name="shipping[<?php echo $shippingId ?>][icon]" value='<?php echo isset($shippingSetting[$shippingId]['icon'])?$shippingSetting[$shippingId]['icon']:""; ?>' />
                                                            <?php
                                                            $removeClass = "";
                                                            $imgSrc = "";
                                                            if (isset($shippingSetting[$shippingId]['icon']) && $shippingSetting[$shippingId]['icon'] != ""):
                                                                $imgSrc = wp_get_attachment_image_src($shippingSetting[$shippingId]['icon']);
                                                                $removeClass = "show";
                                                                ?>
                                                                <img src='<?php echo esc_url($imgSrc[0]); ?>' width='50px' height='50px'>

                                                            <?php else: ?>
                                                                <a href='javascript:void(0);' class='set_icon button'><?php echo esc_html__('Add Icon', self::$taxdomain) ?></a>
                                                            <?php endif; ?>
                                                            <a href='javascript:void(0);' class='remove_icon <?php echo $removeClass; ?>'><?php echo esc_html__('Remove', self::$taxdomain) ?></a>
                                                        </td>
                                                        <td class="day-from">

                                                            <textarea name="shipping[<?php echo $shippingId ?>][desc]"><?php echo isset($shippingSetting[$shippingId]['desc'])?stripslashes($shippingSetting[$shippingId]['desc']):"" ?></textarea>
                                                        </td>

                                                    </tr>
                                                <?php endforeach; ?>
                                            </tbody>
                                            <?php
                                        endif;
                                    endforeach;
                                endif;
                                ?>
                                <?php
                                $world_zone = \WC_Shipping_Zones::get_zone(0);
                                $world_zone_methods = $world_zone->get_shipping_methods();
                                if (!empty($world_zone_methods)) :
                                    ?>
                                    <thead>
                                        <tr  class="zone_row">
                                            <th colspan="4">
                                                <?php $zone_name = esc_html__('Rest of the World', self::$taxdomain); ?>
                                                <?php echo $zone_name; ?>
                                                <?php esc_html_e('Methods', self::$taxdomain); ?>
                                            </th>
                                        </tr>
                                        <tr>
                                            <th class="name" style="padding-left: 2% !important"><?php esc_html_e('Name', self::$taxdomain); ?></th>
                                            <th class="type"><?php esc_html_e('Type', self::$taxdomain); ?></th>
                                            <th><?php esc_html_e('Icon', self::$taxdomain); ?></th>
                                                    <th><?php esc_html_e('Description', self::$taxdomain); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($world_zone_methods as $instance_id => $method) :
                                            $shippingId = $method->id . ":" . $instance_id;
                                            ?>
                                            <tr>
                                                <td style="padding-left: 2%" class="name">
                                                    <?php echo esc_html($method->get_title()); ?>
                                                </td>
                                                <td class="type">
                                                    <?php echo esc_html($method->get_method_title()); ?>
                                                </td>
                                                <td class="day-from">

                                                    <input type="hidden" class="icon_shipping" name="shipping[<?php echo $shippingId ?>][icon]" value='<?php echo isset($shippingSetting[$shippingId]['icon'])?$shippingSetting[$shippingId]['icon']:""; ?>' />
                                                    <?php
                                                    $removeClass = "";
                                                    $imgSrc = "";
                                                    if (isset($shippingSetting[$shippingId]['icon']) && $shippingSetting[$shippingId]['icon'] != ""):
                                                        $imgSrc = wp_get_attachment_image_src($shippingSetting[$shippingId]['icon']);
                                                        $removeClass = "show";
                                                        ?>
                                                        <img src='<?php echo esc_url($imgSrc[0]); ?>' width='50px' height='50px'>

                                                    <?php else: ?>
                                                        <a href='javascript:void(0);' class='set_icon button'><?php echo esc_html__('Add Icon', self::$taxdomain) ?></a>
                                                    <?php endif; ?>
                                                    <a href='javascript:void(0);' class='remove_icon <?php echo $removeClass; ?>'><?php echo esc_html__('Remove', self::$taxdomain) ?></a>
                                                </td>
                                                <td class="day-from">

                                                    <textarea name="shipping[<?php echo $shippingId ?>][desc]"><?php echo isset($shippingSetting[$shippingId]['desc'])?stripslashes($shippingSetting[$shippingId]['desc']):""; ?></textarea>
                                                </td>

                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                    <?php
                                endif;
                                $methods = WC()->shipping->get_shipping_methods();
                                unset($methods['flat_rate'], $methods['free_shipping'], $methods['local_pickup']);
                                if (!empty($methods)) :
                                    ?>
                                    <thead>
                                        <tr  class="zone_row">
                                            <th colspan="4"><?php esc_html_e('Other Methods', 'woocommerce-shipping-estimate'); ?></th>
                                        </tr>
                                        <tr>
                                            <th class="name" style="padding-left: 2% !important"><?php esc_html_e('Name', self::$taxdomain); ?></th>
                                            <th class="type"><?php esc_html_e('Type', self::$taxdomain); ?></th>
                                            <th><?php esc_html_e('Icon', self::$taxdomain); ?></th>
                                                    <th><?php esc_html_e('Description', self::$taxdomain); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($methods as $instance_id => $method) : 
                                            $shippingId = $method->id ;
                                            ?>
                                            <tr>
                                                <td style="padding-left: 2%" class="name">
                                                    <?php echo esc_html($method->get_title()); ?>
                                                </td>
                                                <td class="type">
                                                    <?php echo esc_html($method->get_method_title()); ?>
                                                </td>
                                                <td class="day-from">

                                                    <input type="hidden" class="icon_shipping" name="shipping[<?php echo $shippingId ?>][icon]" value='<?php echo isset($shippingSetting[$shippingId]['icon'])?$shippingSetting[$shippingId]['icon']:"" ?>' />
                                                    <?php
                                                    $removeClass = "";
                                                    $imgSrc = "";
                                                    if (isset($shippingSetting[$shippingId]['icon']) && $shippingSetting[$shippingId]['icon'] != ""):
                                                        $imgSrc = wp_get_attachment_image_src($shippingSetting[$shippingId]['icon']);
                                                        $removeClass = "show";
                                                        ?>
                                                        <img src='<?php echo esc_url($imgSrc[0]); ?>' width='50px' height='50px'>

                                                    <?php else: ?>
                                                        <a href='javascript:void(0);' class='set_icon button'><?php echo esc_html__('Add Icon', self::$taxdomain) ?></a>
                                                    <?php endif; ?>
                                                    <a href='javascript:void(0);' class='remove_icon <?php echo $removeClass; ?>'><?php echo esc_html__('Remove', self::$taxdomain) ?></a>
                                                </td>
                                                <td class="day-from">

                                                    <textarea name="shipping[<?php echo $shippingId ?>][desc]"><?php echo isset($shippingSetting[$shippingId]['desc'])?stripslashes($shippingSetting[$shippingId]['desc']):""; ?></textarea>
                                                </td>

                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                    <?php
                                endif;
                                ?>
                            </table>
                        </td>
                    </tr>

                    <tr>
                        <td>&nbsp;</td>
                        <td>
                            <input type="submit" class="button button-primary" name="btn_submit" value="<?php echo esc_html__("Save Settings", self::$taxdomain) ?>" />
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</div>
